# Class DefaultEditorKit.PasteAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.text.TextAction
javax.swing.text.DefaultEditorKit.PasteAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

Enclosing class:
  `DefaultEditorKit`

public static class DefaultEditorKit.PasteAction extends TextAction
Pastes the contents of the system clipboard into the selected region, or before the caret if nothing is selected.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `DefaultEditorKit.pasteAction`
  - `DefaultEditorKit.getActions()`

- ## Field Summary

  ### Fields declared in class AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PasteAction()`
  Create this object with the appropriate identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  The operation to perform when this action is triggered.

  ### Methods declared in class TextAction

  `augmentList, getFocusedComponent, getTextComponent`

  ### Methods declared in class AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Action

  `accept`

- ## Constructor Details

  - ### PasteAction

    public PasteAction()
    Create this object with the appropriate identifier.

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    The operation to perform when this action is triggered.
    Parameters:
      `e` - the action event